<?php

$path = ".";
$dh = opendir($path);
$i=1;
while (($file = readdir($dh)) !== false) {
    if($file != "." && $file != ".." && $file != "index.php" && $file != ".htaccess" && $file != "error_log" && $file != "cgi-bin" ) {
        // echo "<a href='$path/$file'>$file</a><br /><br />";
        $i++;
    }
}
closedir($dh);
?> 


<?php

echo "<h2>BBW - RHOMBERG 2021:<br /><br /><h2>";
// Öffnet ein Unterverzeichnis mit dem Namen "daten"
$verzeichnis = openDir($path);
// Verzeichnis lesen
while ($file = readDir($verzeichnis)) {
// Höhere Verzeichnisse nicht anzeigen!
 if ($file != "." && $file != "..") {
  // Dateityp filtern. Es werden nur .php-Dateien angezeigt
  if (strstr($file, ".html")) {
   // Dateiendung vom Dateinamen filtern
   $name = explode(".", $file);
   // Link erstellen
   echo "<a href=\"$path/$file\">$name[0]</a><br>\n";
  }
 }
}
closeDir($verzeichnis); // Verzeichnis schließen
?>